--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.23, 0.02, "Taste Numpad 0: Info Einschalten");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.23, 0.02, "Taste Numpad 0: Info Abschalten");
		renderText(0.72, 0.47, 0.02, "- Unimog U1400 Agrar Info -");
		renderText(0.72, 0.44, 0.02, "Taste 5: Arbeitslicht vorne an/aus");
		renderText(0.72, 0.42, 0.02, "Taste 6: Arbeitslicht hinte an/aus");
		renderText(0.72, 0.40, 0.02, "Taste 7,8: Standgas Mehr/Weniger");
		renderText(0.72, 0.38, 0.02, "Taste Numpad 1: Blinker Links");
		renderText(0.72, 0.36, 0.02, "Taste Numpad 2: Warnblinker");
		renderText(0.72, 0.34, 0.02, "Taste Numpad 3: Blinker Rechts");
                renderText(0.72, 0.32, 0.02, "Taste F5: Zugmaul hoch");
                renderText(0.72, 0.30, 0.02, "Taste F6: Zugmaul runter");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




